Setting Up VPN

  • etrader
  • 04/26/11
  • Offline
Posted: Thu, 2011-04-28 11:00

I want to create a VPN on my server. I installed the Webmin PPTP module, but I cannot find it on the menu. When I find it by search, it says

The PoPToP PPTP server pptpd was not found on your system, or is not the right program. Maybe it is not installed, or your module configuration is incorrect.


Although the Webmin PPTP

  • andreychek
  • 01/05/09
  • Online Now
  • Thu, 2011-04-28 11:12

Although the Webmin PPTP module may be installed, it likely has a few software dependencies that may need installed.

I'm not sure if the module by chance comes with a list of required software?

If not, you may need to search your distributions software repository for software named "pptp" or "poptop".

-Eric


Do you mean pptp-client? I

  • etrader
  • 04/26/11
  • Offline
  • Thu, 2011-04-28 11:57

Do you mean pptp-client? I got this error when trying to install: Module pptp-client requires Webmin version 1.550 or above.

Actually, it was the error for installing pptp-server too. My Webmin is what installed with Virtualmin. How I can upgrade it to 1.550?


It sounds like the PPTP

  • andreychek
  • 01/05/09
  • Online Now
  • Thu, 2011-04-28 14:17

It sounds like the PPTP module you have was designed for a Webmin version that's not yet available in the Virtualmin software repository.

It should be available in the software repositories within a few days, my recommendation would be to wait until it appears in there.

-Eric


Thanks! Where can I check

  • etrader
  • 04/26/11
  • Offline
  • Thu, 2011-04-28 14:55

Thanks! Where can I check when it is updated?


Howdy, It'll show up as an

  • andreychek
  • 01/05/09
  • Online Now
  • Thu, 2011-04-28 14:59

Howdy,

It'll show up as an update on the System Information page, or you can manually test to see if it's available by running a "yum update" or "apt-get update && apt-get upgrade" from the command line on your server (the former is for CentOS, the latter for Debian/Ubuntu).

-Eric


webmin 1.550 was released 2

  • ronald
  • 12/20/07
  • Offline
  • Thu, 2011-04-28 17:04

webmin 1.550 was released 2 days ago
http://webmin.com/

Webmin 1.550 released

This release includes a fix for an XSS attack reported by Javier Bassi that can be triggered if un-trusted users are allowed to change the real names of Unix users on your system. It also includes support for Ubuntu's new Upstart boot system, and several other new small features. You can get it from the Webmin downloads page, or from our YUM or APT repositories.